
/* DDE.H: include file for Microsoft Windows apps that use DDE.
 *
 *	This file contains the definitions of the DDE constants and
 *	the declarations for the DDE functions needed to use the central
 *	DDE atom manager.
 *
 *	To use DDE, you must include this file in your source code
 *	and add DDE.LIB to your application's library line when
 *	linking.
 *
 *	At runtime, there should be a copy of DDE.EXE on your search
 *	path (typically the same place your other windows files are).
 *
 */

/* Dynamic Data Exchange Messages */
#define WM_DDE_INITIATE     0x03e0
#define WM_DDE_TERMINATE    0x03e1
#define WM_DDE_ADVISE       0x03e2
#define WM_DDE_UNADVISE     0x03e3
#define WM_DDE_ACK          0x03e4
#define WM_DDE_DATA         0x03e5
#define WM_DDE_REQUEST      0x03e6
#define WM_DDE_POKE         0x03e7
#define WM_DDE_EXECUTE      0x03e8

/* 
 * Note: you must have included windows.h before this file so
 *       Declarations for LPSTR, ATOM and WORD exist. 
 */

extern ATOM far PASCAL DDEAddAtom(LPSTR);
extern ATOM far PASCAL DDEDeleteAtom(ATOM);
extern WORD far PASCAL DDEGetAtomName(ATOM, LPSTR, int);
extern WORD far PASCAL DDEFindAtom(LPSTR);
